LOCAL_DIR := $(GET_LOCAL_DIR)

MODULE := $(LOCAL_DIR)

PLATFORM := sifive
VARIANT := sifive_u

GLOBAL_DEFINES += SIFIVE_FREQ=5000000 # 5 MHz

RISCV_MODE ?= supervisor

ifeq ($(RISCV_MODE),supervisor)
MEMBASE ?= 0x080300000
else
MEMBASE ?= 0x080000000
endif
MEMSIZE ?= 0x200000000 # 8 GiB

WITH_SMP := 1
SMP_MAX_CPUS := 4

MODULE_SRCS := $(LOCAL_DIR)/target.c
# set some global defines based on capability
GLOBAL_DEFINES += PLATFORM_HAS_DYNAMIC_TIMER=1
GLOBAL_DEFINES += ARCH_RISCV_CLINT_BASE=0x02000000
GLOBAL_DEFINES += ARCH_RISCV_MTIME_RATE=10000000   # 10 MHz

include make/module.mk

